INCLUDEPATH += $$PWD
HEADERS += \
    $$PWD/basic/basic.h \
    $$PWD/basic/frame.h \
    $$PWD/basic/timer.h \
    $$PWD/d3d/buffer_filler.h \
    $$PWD/d3d/convert.h \
    $$PWD/d3d/gen_frame.h \
    $$PWD/encoder/abstract_encoder.h \
    $$PWD/encoder/audio_encoder.h \
    $$PWD/encoder/audio_mixer.h \
    $$PWD/encoder/video_encoder.h \
    $$PWD/muxer/av_muxer.h \
    $$PWD/recorder/audio_recorder.h \
    $$PWD/recorder/video_recorder.h \
    $$PWD/ui/audio_render.h \
    $$PWD/ui/audio_widget.h \
    $$PWD/ui/av_recorder.h \
    $$PWD/ui/capture_source_widget.h \
    $$PWD/ui/opengl_video_widget.h \
    $$PWD/ui/settings_page.h

SOURCES += \
    $$PWD/basic/basic.cpp \
    $$PWD/basic/frame.cpp \
    $$PWD/d3d/buffer_filler.cpp \
    $$PWD/d3d/convert.cpp \
    $$PWD/d3d/gen_frame.cpp \
    $$PWD/encoder/abstract_encoder.cpp \
    $$PWD/encoder/audio_encoder.cpp \
    $$PWD/encoder/audio_mixer.cpp \
    $$PWD/encoder/video_encoder.cpp \
    $$PWD/muxer/av_muxer.cpp \
    $$PWD/recorder/audio_recorder.cpp \
    $$PWD/recorder/video_recorder.cpp \
    $$PWD/ui/audio_render.cpp \
    $$PWD/ui/audio_widget.cpp \
    $$PWD/ui/av_recorder.cpp \
    $$PWD/ui/capture_source_widget.cpp \
    $$PWD/ui/opengl_video_widget.cpp \
    $$PWD/ui/settings_page.cpp


include($$PWD/capturer/capturer.pri)
